<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Roles</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-card>
          <ion-card-header>
            <h1>Roles</h1>
          </ion-card-header>
          <ion-card-content>
            <ion-grid>
              <ion-row class="cabeceras">
                <ion-col>Nombre</ion-col>
                <ion-col>Descripción</ion-col>
                <ion-col>Estado</ion-col>
                <ion-col>Creado a las</ion-col>
              </ion-row>
              <ion-row
                class="cuerpo"
                *ngFor="let role of roles | async"
                lines="inset"
                [routerLink]="['/web/roles/actions', role.uuid]"
              >
                <ion-col>{{ role.name }}</ion-col>
                <ion-col>{{ role.description }}</ion-col>
                <ion-col>{{ role.state }}</ion-col>
                <ion-col>{{ role.created_at }}</ion-col>
              </ion-row>
            </ion-grid>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button
      [routerLink]="['/web/roles/actions']"
      routerDirection="forward"
    >
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
